------------------------ History file for Nik.exe --------------------


	Хронология совершенствования программы ведется начиная с версии 
1.3.2, т.к. до того вводимые изменения носили слишком интенсивный 
характер...


********************************************
version 1.3.2 - 21.04.1999 (78 расчетов)

	1. Добавлена возможность работать с о-очень большими числами 
(до 1754! - это функция факториала :)). Проблема возникла после 
введения в предыдущей версии функции факториала.


********************************************
version 1.4 - 27.06.1999 (100 расчетов)

	1. Добавлен раздел "Кондиционирование".
	2. Добавлена возможность вводить числа как с точками, так и с 
запятыми для отделения дробной части от целой. Раньше для этого 
приходилось открывать "Control panel\Язык и стандарты\Числа" и 
устанавливать желаемый разделитель.
	3. Добавлен раздел "Теплогенерирующие установки".
	4. Добавлена возможность ввода данных в расчет не только 
непосредственно в главной строке ввода, но и через специальное окно. 
В этом же окне можно получать строковое выражение формулы расчета для 
возможной корректировки, копирования в другие строки и т.д.
	5. Добавлена функция получения ссылки на литературу, где 
текущая формула (расчет) расписана более подробно. Литература читается 
программой из текстового файла Nik.lit. Его можно корректировать.
	6. Добавлено локальное меню при нажатии правой кнопки мыши 
когда ее курсор находится над панелью выбора типа расчета.


********************************************
version 1.4.1 - 04.07.1999 (101 расчет)

	1. Исправлены некоторые "неточности" в расчетах "Потери 
давления по длине" (раздел "Гидравлика" (было 68 вместо 68000)) и 
"Часовой расход топлива - для Q, Гкал/ч" (раздел "Теплогенерирующие 
установки" (в некоторых местах было ккал/ч вместо Гкал/ч)).
	2. Оформлена таблица соответствия всех формул (расчетов), 
которые теперь имеют свой уникальный шифр, с их файлами картинок (см. 
файл помощи nik.htm, раздел "Системные характеристики расчетов"). 
	3. Добавлено локальное меню при нажатии правой кнопки мыши 
когда ее курсор находится над картинкой формулы (расчета).
	4. Добавлено реагирование на двойное нажатие на левую кнопку 
мыши когда ее курсор находится на картинке формулы - вставка нужного 
количества пар скобок "[]" в главную строку ввода калькулятора 
(аналогично двойному нажатию на имя расчета (формулы) в панели выбора 
расчетов).
	5. Добавлена кнопка возврата последнего вычисленного выражения. 
Возврат предыдущих вычислений происходит по кругу. Стандартный переход 
к одному из ранее вычисленных выражений входит в набор функций 
непосредственно строки ввода.
	6. Добавлена кнопка возврата последнего расчета (формулы). 
Возврат предыдущих вычислений происходит "по кругу".
	7. Добавлен выпадающий список возврата любого предыдущего 
расчета. Сделанные расчеты оставляют после себя след в виде строки с 
порядковым номером и числовым значением результата вычисления.
	8. В разделе "Математика" добавлена возможность складывать 
значения времени:  [чч:мм:сс] - сложение, [-чч:мм:сс] - вычитание.


********************************************
version 1.4.2 - 07.07.1999 (101 расчет)

	1. Исправлена ошибка при сложении значений времени.
	2. Исправлена ошибка при закрытии окна "Вычисление списков 
выражений", которое при определенном стечении обстоятельств невозможно 
было закрыть.


********************************************
version 1.4.3 - 17.10.1999 (101 расчет)

	1. Исправлена ошибка при вычитании значений времени. Пример 
ошибки: [01:45:55] [00:00:10] [-00:00:00] = [02:46:05], хотя без 
ненужных нулей третьего слагаемого вычислялось правильно: 
[01:45:55] [00:00:10] = [01:46:05].


********************************************
version 1.5   - 18.03.2000 (115 расчетов)

	1. При вставке строкового выражения расчета "Гидравлика\Диаметр 
трубопровода\по Q (кВт)" в окне для ввода значений отсутствовала строка 
"Температурный перепад в системе, °C". Исправлено 20.02.2000.
	2. В расчете 
"Математика\Планиметрия\Площадь треугольника\по формуле Герона"
- неправильно записана формула. Картинка в файле FSTr.jpg перерисована.
	3. В окне "Память калькулятора" добавлена возможность вставлять 
числа (выражения) в позицию курсора в главной строке ввода, а также в 
список строк-выражений, открываемый командой меню 
"Файл|Список выражений...".
	4. Добавлено 14 расчетов (формул):
1. "Математика\Планиметрия\Сектор\Радиус сектора\по s и n"
2. "Математика\Планиметрия\Сектор\Радиус сектора\по F и n"
3. "Математика\Планиметрия\Сектор\Площадь сектора"
4. "Математика\Планиметрия\Сектор\Длина дуги сектора"
5. "Математика\Планиметрия\Площадь кругового кольца"
6. "Математика\Стереометрия\Объем усеченного конуса"
7. "Математика\Стереометрия\Объем пирамиды"
8. "Математика\Стереометрия\Объем усеченной пирамиды"
9. "Вентиляция\Теплопоступления в помещение\От открытых поверхностей 
оборудования\Q полное"
10."Вентиляция\Теплопоступления в помещение\От открытых поверхностей 
оборудования\Коэффициент теплоотдачи излучением"
11."Вентиляция\Теплопоступления в помещение\От открытых поверхностей 
оборудования\Коэффициент теплоотдачи конвекцией"
12."Вентиляция\Теплопоступления в помещение\От открытых поверхностей 
оборудования\Приведенная степень черноты системы"
13."Инженерная геометрия\Ременные передачи\Диаметр ведущего шкива"
14."Инженерная геометрия\Ременные передачи\Длина приводного ремня"
	5. В расчетах по встроенным формулам (ввод в скобках []) 
необходимо учитывать разделитель целой части от дробной (см. version  
1.4, п.2). Исправлено так, что теперь везде в вычислениях разделители 
"." и "," абсолютно эквивалентны, несмотря на установки в 
"Control panel\Язык и стандарты\Числа".
	6. Переделано окно "Уточнение", появляющееся, например, при 
открытии *.ini-файла (с настройками и вычислениями) и при этом не пустой 
памяти калькулятора (когда были сделаны какие-либо вычисления), а 
также в некоторых других (похожих) случаях. 
	7. В окне "Вычисление списков выражений" (команда меню 
"Файл|Список выражений...") добавлена команда "Файл|Оформить в 
файл...". Теперь список строк-выражений можно оформить в отдельный 
файл, например, для последйющей распечатки. Формируется текстовый файл 
в табличном виде. Можно печатать его, например, из Word или Write и 
т.п.
	8. Подправлено окно "Вычисление списков выражений" (команда 
меню "Файл|Список выражений..."), а также некоторые его малозаметные 
нюансы работы.
	9. В окне "Вычисление списков выражений" (команда меню 
"Файл|Список выражений...") добавлена команда "Файл|Очистить список!". 
	10. По просьбе одного пользователя (поступила 02.03.2000) 
сделана возможность увеличить размеры поля выбора типа расчета: 
"Область вычислений". Для этого введена команда изменения вида окна 
(вид 2). При этом некоторые объекты окна (кнопки, строка ввода 
выражений и т.д.) слегка переконфигурируются для освобождения большего 
места для панели выбора типа расчета. Предусмотрен также некий 
минимизированный вид калькулятора (0). Стандартным ("по умолчанию") 
считается вид 1. Вид калькулятора запоминается в файле nik.ini . 
Выведена соответствующая кнопка на панель инструментов, добавлена 
команда "Файл|Изменить вид (1)", где на месте "(1)" указывается 
соответствующий режим (пока 0,1 или 2). В дальнейшем, быть может, 
целесообразно будет разработать другие виды (3,4 и т.д.).
	11. Появились первые две специальные функции: F(X) - площадь 
сечения диаметром X, и D(X) - диаметр сечения площадью X. Функции 
взаимообратные: F(D(X)=X, D(F(X)=X; могут участвовать в любых 
выражениях, аналогично sin(X), cos(X), X! и т.д. 
	12. В окно "О Программе" добавлен адрес страницы Internet, где 
можно обновить версию программы (Nik.exe).
	13. Добавлена настройка "Привязка строки N к строке [N]" (см. 
окно "Настройки"). Если ее выбрать, то в расширенном калькуляторе 
(работающем со списками выражений - команда "Файл|Список выражений...") 
ссылка в строке будет всегда указывать не на порядовый номер строки, а 
на саму строку, даже когда производится смещение строк, например, при 
добавлении/удалении строк внутри списка. 
	14. Добавлена настройка "Всегда поверх всех окон" (см. окно 
"Настройки"). Если ее выбрать, то главное окно калькулятора всегда 
будет находится впереди всех окон ("на поверхности") вне зависимости 
от того, какое окно (программа) в данный момент активна. 

********************************************
version 1.6 - 28.05.2000 (115 расчетов)

	1. При загрузке вычислений из ini-файла, когда выбран 
минимизированый вид калькулятора, передается фокус на панель выбора 
расчетов, которая при этом скрыта. Сопровождается сообщением об ошибке 
передачи фокуса невидимому объекту. Исправлено.
	2. При переполнении, например, при вычислении факториала 
числа 1755!, вид курсора ("песочные часы") не восстанавливался в 
первоначальный. Исправлено. 
	3. Неожиданно выяснилось, что программа отказалась вычислить 
такое "простое" выражение: sin(ln(arccos(sin(pi/14.8))))*1.622E-12. 
А жаль... Такие сюрпризы, конечно, обескураживают... 
	Но не обезоруживают! :) Причина найдена и устранена. 
	4. При устранении ошибки в п.3 обнаружилось, что если 
результат вычисления меньше 1E-12, то выдается результат = 0 
(округляется). Например, при вычислении выражения - см. п.3, результат 
= 1.27188640026637E-0013 (тригонометрия - в градусах), но показывается 
только 0. Правда, данная погрешность присутствовала только при работе 
со списком строк-выражений. Исправлено. 
	5. Добавлен контроль ошибок при вводе имени новых констант. 
Ранее проверялось только совпадение с уже существующими (базовыми) 
константами, например, "pi" и т.д. Теперь имя константы должно 
обязательно начинаться с буквы английского или русского алфавита. 
	Например, если константе "руб" присвоено значение 920, а 
константе "w1" присвоено значение 5, то при вычислении выражения 
"w1*руб" будет получен результат 4600. 
	6. Изменено название программы на "Панели задач" Windows: 
"НИК (calculator)".
	7. В главном окне в локальном меню, вызывающемся по правой 
кнопке мыши когда курсор находится над картинкой формулы, добавлены 
пиктограммы соответствующих команд. 
	8. При вызове окна "Память калькулятора" из "минимизирован- 
ного" вида (0), возможна была ситуация когда окно выходило за пределы 
экранного пространства (вверх). Исправлено. 
	9. Теперь при выходе из программы сохраняется ее положение на 
экране (в nik.ini), чтобы потом, при очередном запуске оказаться 
"в том же месте". Аналогично, последнее положение сохраняется и в 
файле пользователя (*.ini) - командой "Файл|Сохранить как...". Для 
этих целей в указанных файлах добавлены соответствующие строки: 
"MainFormLeft=" и "MainFormTop=". Если обе строки имеют значение "-1", 
или заданные значения располагают окно за пределами экрана, то главное 
окно калькулятора будет расположено по центру экрана. 
	10. Для удобства работы с большими списками строк-выражений в 
окне "Список выражений" (команда меню "Файл|Список выражений...", F7) 
появилась возможность распахивания его на максимальную высоту (ширина 
окна не меняется) и восстановления в первоначальные размеры.
	11. При вычислении списка строк-выражений появилась 
возможность остановить процесс вычисления. Для этого во время 
вычислений появляется кнопка "Stop". Прервать вычисления можно также 
клавишей "Esc". 
	12. При вычислении списка строк-выражений могла возникнуть  
ошибка времени выполнения, если в нем оказывались строки данных для 
встроенных расчетов, например "[17] [2] [1]". При появлении в версии 
(1.5) возможности вставки содержимого памяти калькулятора в список 
строк, такая ситуация могла встретиться с большой вероятностью. 
Исправлено. 
	13. Справочник расширен сортаментом труб и воздуховодов и 
перемещен в динамически подгружаемый файл nikbook.dll Этот файл 
необходимо будет скачивать с http://members.xoom.com/vladvolkov/ 
отдельно. Версия справочника 1.0. 
	14. Разработан библиотечный файл nikenti.dll : "Энциклопедия 
Научно-Техническая Инженерная" (ЭНТИ). Версия энциклопедии 1.0. 
Содержит различные энциклопедические данные преимущественно в 
области науки и техники. 
	15. Скорректировано окно "о Программе". Везде изменен шрифт - 
с "Times New Roman" на "MS Sans Serif". Скорректировны поля 
"Назначение" и "Примечания". В поле "Назначение" добавлен скроллинг. 
В главном окне калькулятора тоже кое-где произведена аналогичная 
замена шрифтов. Планирую в дальнейшем для главной строки ввода 
калькулятора сделать настраиваемый из файла nik.ini тип шрифта. 
	16. В окне "Настройки" добавлена возможность устанавливать 
точность результатов вычислений - число значащих цифр после запятой 
(от 1 до 16). Также можно задать вывод результатов всегда с 
фиксированной точкой - результат будет выводится в виде, например, 
1.2345E+0001, что равносильно 12.345

********************************************
version 1.6.1 - 06.06.2000 (115 расчетов)

	1. Неправильно вычислялись отрицательные степени, например, 
9^(-0.5). Выдавался результат 3, вместо 0.3333... Ошибка занесена 
случайно и только в версии 1.6. Исправлено. 

********************************************
version 1.6.2 - 24.07.2000 (115 расчетов)

	1. Запуск файлов НИК (*.sl) с автоматичиским запуском програм-
мы. Возможность связывания файлов *.sl с программой НИК.
	2. В панели задач - отображение имени открытых файлов
	3. Прорисована заново иконка программы - nik.ico
	4. Устранено зависание при вычислении lg(0)

********************************************
version 1.7.0.8 - 25.06.2007 (115 расчетов)

	1. Исправлены некоторые ошибки в вычислениях 
тригонометрических функций в градусах;
	2. Изменены шрифты на "Tahoma" в главном окне Калькулятора и в 
окне "Память Калькулятора";
	3. Добавлен вид Калькулятора 4 и 5;
	4. При виде Калькулятора 2 увеличен шрифт главной строки 
вычислений на 1 пункт;
	5. При вставке служебных скобок "[]" теперь внутрь их 
вставляется еще и пробел: "[ ]";
	6. Обновлена информация в окне "О Программе";

********************************************
version 1.7.0.16 - 20.08.2007 (115 расчетов)

	1. Изменены шрифты на "Tahoma" в окнах "Настройки" и 
"Список выражений";
	2. Добавлен микрокалькулятор с виртуальной клавиатурой в виде 
небольшого появляющегося окна. Микрокалькулятор появляется только при 
виде Калькулятора 1 или 3;
	3. Добавлена возможность отключать в настройках отображение 
микрокалькулятора;
	4. Скорректирован файл помощи Nik.htm;

********************************************
version 1.7.0.22 - 22.08.2007 (115 расчетов)

	1. Исправлена ошибка, по которой Микрокалькулятор в 
отключенном состоянии иногда был виден при загрузке программы;
	2. Добавлено окно настроек Микрокалькулятора. Для этого 
специальная кнопка вызова окна настроек "приклеена" к самой строке 
Микрокалькулятора. Можно настраивать шрифт и цвет панели. Выбранные 
настройки автоматически сохраняются в ini-файле программы;

********************************************
version 1.7.0.24 - 24.08.2007 (115 расчетов)

	1. В окне настроек Микрокалькулятора при выборе кнопки выхода 
без ввода настроек в программу они все-равно активизирвовались. 
Исправлено;
	2. В окне настроек Микрокалькулятора можно также выбрать 
следующие настройки: 
- Тип: простой              // простейший калькулятор...
- Кнопки без границ         // кнопки без очертаний - все плоское
- Группировать разряды      // из 1000000 сделать 1 000 000
- После вычисления закрыть  // после вычисления сворачивается
- Защита результата         // предыдущий результат сначала надо 
удалить, а потом уже вводить новое число (действует только если 
покинуть Микрокалькулятор и затем снова войти...)

;




------------------------ History file for Nik.exe --------------------
